## h2o 2.2.2+dfsg

=== debian/changelog ===
h2o (2.2.2+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Anton Gladky <gladk@debian.org>  Thu, 28 Sep 2017 06:41:01 +0200

h2o (2.2.2+dfsg-2) unstable; urgency=medium

  * Fix FTBFS on platforms without 64-bit atomics (mips, powerpc and possibly
    others), by using a 32-bit unsigned int as connection ID.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 21 Sep 2017 21:50:25 +0300

h2o (2.2.2+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #873811)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 19 Sep 2017 12:45:21 +0300
