=== debian/control ===
Source: h2o
Section: httpd
Priority: optional
Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Build-Depends:
 debhelper (>= 10),
 cmake,
 pkg-config,
 bison,
 ruby-dev,
 libyaml-dev,
 zlib1g-dev,
 libssl-dev,
 libio-socket-ssl-perl,
 libjson-perl,
 libpath-tiny-perl,
 libscope-guard-perl,
 libtest-exception-perl,
 libwslay-dev,
 curl,
 wget,
 netcat-openbsd,
 nghttp2-client,
 starlet,
 libuv1-dev
Standards-Version: 4.1.0
Homepage: https://h2o.examp1e.net
Vcs-Git: https://anonscm.debian.org/collab-maint/h2o.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/h2o.git

Package: h2o
Architecture: any
Depends: adduser, apache2-utils, ${misc:Depends}, ${shlibs:Depends}
Description: optimized HTTP/1.x, HTTP/2 server
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older web servers.  Designed from
 ground-up, the server takes full advantage of HTTP/2 features including
 prioritized content serving and server push.

Package: libh2o0.13
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: H2O library compiled with libuv
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library compiled with libuv which allows you to
 link your own software to H2O

Package: libh2o-evloop0.13
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: H2O library compiled with its own event loop
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library compiled with its own event loop which
 allows you to link your own software to H2O

Package: libh2o-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libh2o0.13 (= ${binary:Version}), libh2o-dev-common (= ${source:Version})
Description: dev helpers of the H2O library compiled with libuv
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the development helpers of the H2O library compiled with
 libuv.

Package: libh2o-evloop-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libh2o-evloop0.13 (= ${binary:Version}), libh2o-dev-common (= ${source:Version})
Description: dev helpers of the H2O library compiled with its own event loop
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the development helpers of the H2O library compiled with
 its own event loop.

Package: libh2o-dev-common
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, libh2o0.13 (>= ${source:Version}) | libh2o-evloop0.13 (>= ${source:Version})
Description: H2O library headers
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library headers needed by developers.

Package: h2o-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: optimized HTTP/1.x, HTTP/2 server - documentation
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older web servers.  Designed from
 ground-up, the server takes full advantage of HTTP/2 features including
 prioritized content serving and server push.
 .
 This package contains the server documentation.
