## h2o 2.2.3+dfsg

=== debian/changelog ===
h2o (2.2.3+dfsg-2) unstable; urgency=medium

  * Fix segfault on big-endian systems when reverse-proxying to HTTPS. This
    fixes FTBFS on s390x.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 27 Oct 2017 22:39:52 +0300

h2o (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream stable release.
  * Drop patches merged upstream.
    + Build-on-platforms-without-64-bit-atomics.patch
    + Fix-deadlock-in-setup_bio.patch
    + epoll-do-not-leak-epoll-fds-on-fork.patch
    + epoll-explicitly-delete-sockets-on-close.patch
  * New patch fixing Proc's in mruby handlers that reference outer-scope
    variables. Thanks to Tatsushi Demachi.
  * Refresh remaining patches.
  * Disable the new 50reverse-proxy-drop-headers test as it requires network
    access.
  * Fix upgrade reload logic: do not restart on upgrades, just reload.
  * Bump Standards to 4.1.1; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 19 Oct 2017 16:07:38 +0300
