=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  nghttp2-client,
  starlet,
  libuv1-dev
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://h2o.examp1e.net
 Vcs-Git: https://anonscm.debian.org/collab-maint/h2o.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/h2o.git
