=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*// \
 https://github.com/h2o/h2o/releases	.*/archive/v(.*)\.tar\.gz
