=== debian/changelog ===
h2o (2.2.4+dfsg-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Feb 2018 11:35:35 +0000

h2o (2.2.4+dfsg-1) unstable; urgency=high

  * New upstream bugfix release
    + Fix crash when logging TLS 1.3 properties (CVE-2017-10872)
    + Fix crash when handling malformed HTTP/2 request (CVE-2017-10908)
  * Drop patches merged upstream:
    + fix-mruby-proc.patch
    + fix-segfault-on-big-endian.patch
  * Bump Standards-Version to 4.1.2; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 21 Dec 2017 10:58:30 +0200
