=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: h2o
 Section: httpd
 Priority: optional
-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Build-Depends:
  debhelper (>= 10),
@@ -24,7 +25,7 @@
  nghttp2-client,
  starlet,
  libuv1-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://h2o.examp1e.net
 Vcs-Git: https://anonscm.debian.org/collab-maint/h2o.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/h2o.git
