=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Disable the following tests as they require network access
-BAD_TESTS=10http1client 50reverse-proxy-added-headers 50reverse-proxy-https 80invalid-h2-chars-in-headers 40server-push
+BAD_TESTS=10http1client 50reverse-proxy-added-headers 50reverse-proxy-drop-headers 50reverse-proxy-https 80invalid-h2-chars-in-headers 40server-push
 
 %:
 	dh $@
@@ -30,7 +30,7 @@
 
 override_dh_installinit:
 	# Do not do a full restart, just a graceful reload
-	dh_installinit --no-restart-on-upgrade
+	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade
 
 override_dh_missing:
 	dh_missing --fail-missing
