=== debian/tests/control ===
Tests: status
Depends: h2o, curl, jq
