=== debian/changelog ===
h2o (2.2.5+dfsg2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062336

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 09:55:36 +0000

h2o (2.2.5+dfsg2-8) unstable; urgency=high

  * [b195d95] CVE-2023-44487. Fix http2-issue. (Closes: #1054232)
  * [900b294] Fix autopkgtests.
  * [2f71fb0] Update lintian override info format in d/s/lintian-overrides.
  * [bfabe04] Update watch file format version to 4.
  * [cfa4161] Bump debhelper from old 12 to 13.xi
              + Drop check for DEB_BUILD_OPTIONS containing
                "nocheck", since debhelper now does this.
              + debian/rules: Drop --fail-missing argument to dh_missing,
                which is now the default.
  * [7928015] Set upstream metadata fields: Bug-Database, Bug-Submit,
              Repository-Browse.
  * [696c231] Update standards version to 4.6.2, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Oct 2023 06:24:36 +0200

h2o (2.2.5+dfsg2-7) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove VCS tags from picohttpparser source files
  * Disable failing mruby test (Closes: #1032554)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 21 Mar 2023 12:40:38 +0000

h2o (2.2.5+dfsg2-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * [b6d1fc7] Remove unsupported hash parameters to FileUtils methods.
    Fixes FTBFS. (Closes: #1008426)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 13 Apr 2022 20:41:51 +0000

h2o (2.2.5+dfsg2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid FTBFS issues uncovered by gcc-11 migration: (Closes: #984165)
    * Build-Depend on libfcgi-procmanager-perl for test t/50fastcgi.t.
    * Disable broken t/50mruby-htpasswd.t test, apparently caused
      by mruby 3.0 internal changes.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 17 Oct 2021 11:38:52 +0000

h2o (2.2.5+dfsg2-6) unstable; urgency=medium

  * [945c43b] Add gitlab-ci.yml
  * [22724e5] Disable two more unreliable tests
  * [2c3714d] Update d/h2o.install

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Dec 2020 21:06:10 +0100

h2o (2.2.5+dfsg2-5) unstable; urgency=medium

  * [b19623a] Add Rules-Requires-Root: no

 -- Anton Gladky <gladk@debian.org>  Sat, 02 May 2020 09:14:13 +0200

h2o (2.2.5+dfsg2-4) unstable; urgency=medium

  * [e718f97] Set compat-level to 12
  * [02abfa2] Set Standards-Version to 4.5.0
  * [4d1da12] Mark package libh2o-dev-common as Multi-Arch: foreign.
              (Closes: #956567)
  * [fb0248b] Add Pre-Depends to h2o

 -- Anton Gladky <gladk@debian.org>  Tue, 28 Apr 2020 18:36:01 +0200

h2o (2.2.5+dfsg2-3) unstable; urgency=high

  * [d9b7843] Fix HTTP/2 DoS attack vulnerabilities.
              CVE-2019-9512 CVE-2019-9514 CVE-2019-9515. (Closes: #934886)

 -- Anton Gladky <gladk@debian.org>  Tue, 20 Aug 2019 22:29:07 +0200

h2o (2.2.5+dfsg2-2) unstable; urgency=medium

  * Rebuild against new wslay

 -- Anton Gladky <gladk@debian.org>  Mon, 01 Oct 2018 21:55:29 +0200

h2o (2.2.5+dfsg2-1) unstable; urgency=medium

  * d/watch: mangle upstream alpha/beta/rc versions.
  * Modify upstream source to use the system's jquery and repack, bumping dfsg
    revision in the process.
  * Disable some tests broken by unexpected TLSv1.3 client support  and force
    TLSv1.2 on all s_client test invocations. (Closes: #908136)
  * Link libh2o and libh2o-evloop against libwslay. (Closes: #908124)
  * Bump Standards-Version to 4.2.1; no changes needed.
  * d/rules: respect the nocheck build option.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 22 Sep 2018 23:33:20 +0300

h2o (2.2.5+dfsg1-6) unstable; urgency=medium

  * [e77f4db] Add sleep between server creation and client connection
              in autopkgtest to be sure that the server is up and running

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Jun 2018 23:40:06 +0200

h2o (2.2.5+dfsg1-5) unstable; urgency=medium

  * [e1f7662] Add allow-stderr to pass autopkgtest. (Closes: #900745)

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Jun 2018 18:55:13 +0200

h2o (2.2.5+dfsg1-4) unstable; urgency=medium

  * [4836952] Use compat-level 11
  * [3f5add2] Disable two tests failing on mips64el
  * [ea6a746] Add libh2o-server autopkgtest
  * [5a1ed1a] Add libh2o-client autopkgtest

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Jun 2018 20:06:33 +0200

h2o (2.2.5+dfsg1-3) unstable; urgency=medium

  * [4b728d8] Fix docs installation

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Jun 2018 07:38:18 +0200

h2o (2.2.5+dfsg1-2) unstable; urgency=medium

  * [cfc739c] Switch back to compat-level 10 to fix FTBFS

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Jun 2018 20:20:30 +0200

h2o (2.2.5+dfsg1-1) unstable; urgency=medium

  * [e6f08d1] Update d/copyright and d/watch
  * [a3ce271] Fix typo in patch
  * [39d32ca] Use compat level 11
  * [c2aefeb] Use packaged version of jquery.min.js
  * New upstream version 2.2.5+dfsg1

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Jun 2018 17:25:36 +0200

h2o (2.2.4+dfsg-2) unstable; urgency=medium

  * Add ruby to build-depends. (Closes: #897510)
  * Apply cme fix dpkg-copyright
  * Apply cme fix dpkg-control
  * Set Standards-Version: 4.1.3
  * Sort build-depends alphabetically
  * control: update Vcs-Browser and Vcs-Git

 -- Anton Gladky <gladk@debian.org>  Wed, 02 May 2018 23:36:45 +0200
