=== debian/control ===
--- 
+++ 
@@ -1,50 +1,59 @@
 Source: h2o
+Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: httpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
-Build-Depends:
- debhelper (>= 10),
- cmake,
- pkg-config,
- bison,
- ruby-dev,
- libyaml-dev,
- zlib1g-dev,
- libssl-dev,
- libio-socket-ssl-perl,
- libjson-perl,
- libpath-tiny-perl,
- libscope-guard-perl,
- libtest-exception-perl,
- libwslay-dev,
- curl,
- wget,
- netcat-openbsd,
- nghttp2-client,
- starlet,
- libuv1-dev
-Standards-Version: 4.1.2
+Rules-Requires-Root: no
+Build-Depends: dpkg-dev (>= 1.22.5), bison,
+               cmake,
+               curl,
+               debhelper-compat (= 13),
+               libfcgi-procmanager-perl,
+               libio-socket-ssl-perl,
+               libjson-perl,
+               libpath-tiny-perl,
+               libscope-guard-perl,
+               libssl-dev,
+               libtest-exception-perl,
+               libuv1-dev,
+               libwslay-dev,
+               libyaml-dev,
+               netcat-openbsd,
+               nghttp2-client,
+               pkg-config,
+               ruby-dev,
+               ruby,
+               starlet,
+               wget,
+               zlib1g-dev
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian/h2o
+Vcs-Git: https://salsa.debian.org/debian/h2o.git
 Homepage: https://h2o.examp1e.net
-Vcs-Git: https://anonscm.debian.org/collab-maint/h2o.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/h2o.git
 
 Package: h2o
 Architecture: any
-Depends: adduser, apache2-utils, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser,
+         apache2-utils,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: optimized HTTP/1.x, HTTP/2 server
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older web servers.  Designed from
  ground-up, the server takes full advantage of HTTP/2 features including
  prioritized content serving and server push.
 
-Package: libh2o0.13
+Package: libh2o0.13t64
+Provides: ${t64:Provides}
+Replaces: libh2o0.13
+Breaks: libh2o0.13 (<< ${source:Version})
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: H2O library compiled with libuv
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older generation of web servers.
@@ -55,12 +64,16 @@
  This package provides the H2O library compiled with libuv which allows you to
  link your own software to H2O
 
-Package: libh2o-evloop0.13
+Package: libh2o-evloop0.13t64
+Provides: ${t64:Provides}
+Replaces: libh2o-evloop0.13
+Breaks: libh2o-evloop0.13 (<< ${source:Version})
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: H2O library compiled with its own event loop
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older generation of web servers.
@@ -74,7 +87,9 @@
 Package: libh2o-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libh2o0.13 (= ${binary:Version}), libh2o-dev-common (= ${source:Version})
+Depends: ${misc:Depends},
+         libh2o0.13t64 (= ${binary:Version}),
+         libh2o-dev-common (= ${source:Version})
 Description: dev helpers of the H2O library compiled with libuv
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older generation of web servers.
@@ -88,7 +103,9 @@
 Package: libh2o-evloop-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libh2o-evloop0.13 (= ${binary:Version}), libh2o-dev-common (= ${source:Version})
+Depends: ${misc:Depends},
+         libh2o-evloop0.13t64 (= ${binary:Version}),
+         libh2o-dev-common (= ${source:Version})
 Description: dev helpers of the H2O library compiled with its own event loop
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older generation of web servers.
@@ -101,8 +118,10 @@
 
 Package: libh2o-dev-common
 Architecture: all
+Multi-Arch: foreign
 Section: libdevel
-Depends: ${misc:Depends}, libh2o0.13 (>= ${source:Version}) | libh2o-evloop0.13 (>= ${source:Version})
+Depends: ${misc:Depends},
+         libh2o0.13t64 (>= ${source:Version}) | libh2o-evloop0.13t64 (>= ${source:Version})
 Description: H2O library headers
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older generation of web servers.
@@ -115,7 +134,8 @@
 Package: h2o-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         libjs-jquery
 Description: optimized HTTP/1.x, HTTP/2 server - documentation
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older web servers.  Designed from
